## pgpcre 0.20190509

=== Makefile ===
PG_CONFIG = pg_config
PKG_CONFIG = pkg-config

EXTENSION = pgpcre
MODULE_big = pgpcre
OBJS = pgpcre.o
DATA = pgpcre--0.sql pgpcre--1.sql pgpcre--0--1.sql

ifeq (no,$(shell $(PKG_CONFIG) libpcre || echo no))
$(warning libpcre not registed with pkg-config, build might fail)
endif

PG_CPPFLAGS += $(shell $(PKG_CONFIG) --cflags-only-I libpcre)
SHLIB_LINK += $(shell $(PKG_CONFIG) --libs libpcre)

REGRESS = init test unicode
REGRESS_OPTS = --inputdir=test

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pgpcre 0.20190509~20220627.1436-4~1.git1ab6ba8.pgdg20.04+1

=== debian/changelog ===
pgpcre (0.20190509~20220627.1436-4~1.git1ab6ba8.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:05:26 +0100

pgpcre (0.20190509-4) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 16:05:26 +0100

pgpcre (0.20190509-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 11:41:19 +0200

pgpcre (0.20190509-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 12:50:38 +0200

pgpcre (0.20190509-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Sep 2020 11:52:17 +0200

=== debian/control ===
Source: pgpcre
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 12),
 libpcre3-dev,
 pkg-config,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/petere/pgpcre
Vcs-Browser: https://salsa.debian.org/postgresql/pgpcre
Vcs-Git: https://salsa.debian.org/postgresql/pgpcre.git

Package: postgresql-10-pgpcre
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

Package: postgresql-11-pgpcre
Architecture: any
Depends:
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

Package: postgresql-12-pgpcre
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

Package: postgresql-13-pgpcre
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

Package: postgresql-14-pgpcre
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

## pgpcre 0.20190509~20220627.1436-4~1.git1ab6ba8.pgdg+1

=== debian/changelog ===
pgpcre (0.20190509~20220627.1436-4~1.git1ab6ba8.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:05:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libpcre3-dev,
  pkg-config,
  postgresql-all (>= 217~),

## pgpcre 0.20190509

=== debian/changelog ===
pgpcre (0.20190509-8) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 19:57:43 +0200

pgpcre (0.20190509-7) unstable; urgency=medium

  [ Yavor Doganov ]
  * Port to PCRE2 (Closes: #1000001).

  [ Christoph Berg ]
  * B-D on pkconf.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Mar 2024 16:32:43 +0100

pgpcre (0.20190509-6) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:33:30 +0200

pgpcre (0.20190509-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 13:24:41 +0200

=== debian/control ===
Source: pgpcre
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libpcre2-dev,
 pkgconf,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/petere/pgpcre
Vcs-Browser: https://salsa.debian.org/postgresql/pgpcre
Vcs-Git: https://salsa.debian.org/postgresql/pgpcre.git

Package: postgresql-17-pgpcre
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Perl Compatible Regular Expressions (PCRE) extension for PostgreSQL
 This is a module for PostgreSQL that exposes Perl-compatible regular
 expressions (PCRE) functionality as functions and operators. It is based on
 the popular PCRE library.
 .
 Some possible advantages over the regular expression support built into
 PostgreSQL:
  * richer pattern language, more familiar to Perl and Python programmers
  * complete Unicode support
  * saner operators and functions
 Some disadvantages:
  * no repeated matching ('g' flag)
  * no index optimization

=== debian/watch ===
version=4
https://github.com/petere/pgpcre/tags .*/(.*).tar.gz
